From: Nathan Rebours <nathan.p.rebours@gmail.com>
Date: Mon, 6 Jul 2020 15:05:41 +0200
Subject: Upgrade to ppxlib 0.14.0

Signed-off-by: Nathan Rebours <nathan.p.rebours@gmail.com>

Origin: https://github.com/janestreet/ppx_fields_conv/pull/7
---
 ppx_fields_conv.opam   | 2 +-
 src/ppx_fields_conv.ml | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/ppx_fields_conv.opam b/ppx_fields_conv.opam
index 3d84070..91a9692 100644
--- a/ppx_fields_conv.opam
+++ b/ppx_fields_conv.opam
@@ -15,7 +15,7 @@ depends: [
   "base"      {>= "v0.14" & < "v0.15"}
   "fieldslib" {>= "v0.14" & < "v0.15"}
   "dune"      {>= "2.0.0"}
-  "ppxlib"    {>= "0.11.0"}
+  "ppxlib"    {>= "0.14.0"}
 ]
 synopsis: "Generation of accessor and iteration functions for ocaml records"
 description: "
diff --git a/src/ppx_fields_conv.ml b/src/ppx_fields_conv.ml
index b1b6e1c..130e82b 100644
--- a/src/ppx_fields_conv.ml
+++ b/src/ppx_fields_conv.ml
@@ -56,7 +56,7 @@ module A = struct (* Additional AST construction helpers *)
 
   let mod_ ~loc : (string -> structure -> structure_item) =
     fun name structure ->
-      pstr_module ~loc (module_binding ~loc ~name:(Located.mk ~loc name)
+      pstr_module ~loc (module_binding ~loc ~name:(Located.mk ~loc (Some name))
                           ~expr:(pmod_structure ~loc structure))
 
   let sig_item ~loc name typ =
@@ -66,7 +66,7 @@ module A = struct (* Additional AST construction helpers *)
 
   let sig_mod ~loc : (string -> signature -> signature_item) =
     fun name signature ->
-      psig_module ~loc (module_declaration ~loc ~name:(Located.mk ~loc name)
+      psig_module ~loc (module_declaration ~loc ~name:(Located.mk ~loc (Some name))
                           ~type_:(pmty_signature ~loc signature))
 
 end
